import random

TREFFER = 9

class Koordinate:
    def __init__(self):
        self.x = 0
        self.y = 0

    def __eq__(self, koord):
        return self.x==koord.x and self.y==koord.y

    def __ne__(self, koord):
        return self.x!=koord.x or self.y!=koord.y

    def __str__(self):
        return "{}, {}".format(self.x, self.y)

class Schiff:
    def __init__(self):
        self.pos = Koordinate()
        self.neusetzen()
        self.gefunden = False
    
    def neusetzen(self):
        self.pos.x = random.randint(0, 8)
        self.pos.y = random.randint(0, 6)
        
    def peile(self, x, y):
        # Ist dieses Schiff getroffen?
        if x==self.pos.x and y==self.pos.y:
            self.gefunden = True
            return TREFFER
        if x==self.pos.x:
            return 1
        if y==self.pos.y:
            return 1
        if x-self.pos.x == y-self.pos.y:
            return 1
        if x-self.pos.x == (y-self.pos.y)*-1:
            return 1
        return 0

schiff = Schiff()
# print(schiff.pos) # Zum Debuggen Schiff zeigen
spielende = False
while not(spielende):
    x = eval(input("X-Koordinate (0-8)"))
    y = eval(input("Y-Koordinate (0-6)"))
    if x>=0 and y>=0:
        fund = schiff.peile(x, y)
        if fund==TREFFER:
            print("Schiff gefunden")
            print("Gewonnen")
            spielende = True
        else:
            print("Peilungen: ", fund)
    else:
        spielende = True


    
