try:
   import tkinter  # Python 3
except:
   import Tkinter as tkinter # Python 2

class MyDialog:
    def __init__(self, parent):
        self.einabe = ""  # dient zum Abtransport der Daten
        self.top = tkinter.Toplevel(parent) # Rahmen erstellen
        # Baue den Dialoginhalt auf
        self.entry = tkinter.Entry(self.top)
        self.entry.pack()
        button = tkinter.Button(self.top, text="OK", command=self.ok)
        button.pack()

    def ok(self): # Callback fuer den Ok-Button des Dialogs
        self.eingabe = self.entry.get() # uebernehme Eingabe
        self.top.destroy()              # Dialog beenden

fenster = tkinter.Tk()

def dialogStart():  # Callback fuer den Button
    global fenster
    dialog = MyDialog(fenster)      # starte Dialog
    fenster.wait_window(dialog.top) # erwarte Dialog-Ende
    print(dialog.eingabe)           # hole die Eingabe

knopf = tkinter.Button(fenster, text="Hier klicken!",
        command=dialogStart)
knopf.pack()
fenster.mainloop()

