from xml.dom import minidom
xmldoc = minidom.parse('speisekarte.xml')
print("Weinkarte")
getraenke = xmldoc.getElementsByTagName('getraenk')
for getraenk in getraenke :
    # Auslesen des eingeschlossenen Dateninhalts
    if getraenk.firstChild!=None:
        inhalt = getraenk.firstChild.data.strip()
        if inhalt!="":
            print("inhalt:", inhalt)
    # Lesen der Tag-Attribute
    attribute = getraenk.attributes.keys()
    for att in attribute:
        print("Attibut: ", getraenk.attributes[att].name,
                    sep="", end="")
        print("=",getraenk.attributes[att].value, sep="")
    # Auslesen der untergeordneten Tag-Inhalte
    for knoten in getraenk.childNodes:
        if knoten.nodeName in ["name", "preis"]:
            print("<", knoten.nodeName, ">",
                    knoten.firstChild.data, sep="")
    print("---")

