import threading
import time
import random

abladen = False
lock = threading.Lock()

class VasenProduzent(threading.Thread):
    def __init__(self, anzahl):
        threading.Thread.__init__(self)
        self.anzahl = anzahl

    def run(self):
        i = 0
        while i<self.anzahl:
            time.sleep(0.1 * random.randint(0, 9))
            self.setzeVaseAb()
            print("Vase produziert!")
            time.sleep(0.1)
            self.abgesetzt()
            i += 1

    def setzeVaseAb(self):
        global abladen
        global lock
        lock.acquire()
        if abladen:
            print("Klirr!")
        abladen = True

    def abgesetzt(self):
        global abladen
        global lock
        abladen = False
        lock.release()

random.seed()
threadListe = []
for i in range(3):
    thread = VasenProduzent(10)
    thread.start()
    threadListe.append(thread)
for thread in threadListe:
    thread.join()

