class Baum:
    def __init__(self):
        self.links = None
        self.rechts = None
        self.inhalt = None

    def einhaengen(self, inhalt):
        if self.inhalt: # Es gibt schon Eintraege
            if self.inhalt > inhalt: # sortiertes Einhaengen
                if self.links:
                    self.links.einhaengen(inhalt)
                else:
                    self.links = Baum()
                    self.links.inhalt = inhalt
            else:
                if self.rechts:
                    self.rechts.einhaengen(inhalt)
                else:
                    self.rechts = Baum()
                    self.rechts.inhalt = inhalt
        else: # Der Baum ist leer
            self.inhalt = inhalt

    def anzeigen(self):
        if self.links:   # links absteigen
            self.links.anzeigen()
        if self.inhalt:  # Sicherheitstest: Baum leer?
            print(self.inhalt) # Aktion: Anzeigen
        if self.rechts:  # rechts absteigen
            self.rechts.anzeigen()

    def tuwas(self, funktion):
        if self.links:   # links absteigen
            self.links.tuwas(funktion)
        if self.inhalt:  # Sicherheitstest: Baum leer?
            funktion(self.inhalt) # Aktion: funktion
        if self.rechts:  # rechts absteigen
            self.rechts.tuwas(funktion)

baum = Baum()
for i in "Dampfer", "Auto", "Schiff", "Wolke", "Pirat":
    baum.einhaengen(i)
baum.anzeigen()

def zeigmal(a):
    print(a)

summe = 0
def zaehleZeichen(a):
    global summe
    summe = summe + len(a)
    print(a, len(a))

baum.tuwas(zeigmal)
baum.tuwas(zaehleZeichen)
print(summe) 

