class Datum:
    def __init__(self):
        pass

class Ware(object):
    def __init__(self, preis):
        self.bezeichnung = ""
        self._preis = preis
        self.artikelnr = 0
    def getPreis(self):
        return self._preis
    def setPreis(self, preis):
        self._preis = preis
    preis = property(getPreis, setPreis)

class Lebensmittel(Ware):
    def __init__(self, preis):
        Ware.__init__(self, preis) # Basisklasse initialisieren
        self.mindestHaltbarkeit = Datum()
    def getPreis(self):
        # return super(Lebensmittel, self).getPreis()*0.8
        return Ware.getPreis(self)*0.8
    def setPreis(self, preis):
        Ware.setPreis(self, preis)
    preis = property(getPreis, setPreis)

class Kleidung(Ware):
    def __init__(self, preis):
        Ware.__init__(self, preis) # Basisklasse initialisieren
        self.groesse = 0

batmansLakritz = Lebensmittel(1.49)
batmansLakritz.preis = 1.20
print(batmansLakritz.getPreis())
print(batmansLakritz.preis)
jamesbondsmartini = Lebensmittel(7.00)
jamesbondsmartini.mindestHaltbarkeit = "Stirb an einem anderen Tag"
print(jamesbondsmartini.mindestHaltbarkeit)
spidermansHose = Kleidung(100)
print(spidermansHose.getPreis())
print(spidermansHose.preis)

