import threading
import time

class Schwimmer(threading.Thread):
    def __init__(self, nummer):
        threading.Thread.__init__(self)
        self.nummer = nummer

    def run(self):
        global ereignis
        ereignis.wait()
        print(self.nummer, "springt!")

ereignis = threading.Event()

threadListe = []
for i in range(9):
    thread = Schwimmer(i)
    thread.start()
    threadListe.append(thread)
time.sleep(3)  # Warte ein paar Sekunden
ereignis.set() # Der Startschuss
for thread in threadListe:
    thread.join()

